﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_list_dictionary_keys_values
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // The dictionary of digit names.
        private Dictionary<int, string> Numbers = new Dictionary<int, string>()
        {
            {0, "Zero"},
            {1, "One"},
            {2, "Two"},
            {3, "Three"},
            {4, "Four"},
            {5, "Five"},
            {6, "Six"},
            {7, "Seven"},
            {8, "Either"},
            {9, "Nine"}
        };

        private void Form1_Load(object sender, EventArgs e)
        {
            // Display the keys.
            foreach (int number in Numbers.Keys)
                lstKeys.Items.Add(number);

            // Convert the Dictionary's ValueCollection
            // into an array and display the values.
            string[] values = Numbers.Values.ToArray();
            for (int i = 0; i < values.Length; i++)
                lstValues.Items.Add(values[i]);

            // Display the keys and values.
            foreach (int number in Numbers.Keys)
                lstKeysAndValues.Items.Add(number.ToString() +
                    ": " + Numbers[number]);
        }
    }
}

